Page MenuHomePhabricator

Turn on Content Translation Extension for the Uzbek Wiki
Closed, ResolvedPublic1 Story Points

Description

Although machine translation doesn't exist for the Uzbek language yet, I would still like to use other benefits of the extension. The Uzbek community doesn't seem to oppose the idea [1].

[1] https://uz.wikipedia.org/wiki/Vikipediya:Forum/Takliflar#Tarjima

Details

Related Gerrit Patches:
operations/puppet : productionCX: Enable ru in source, min and uz in target wikis
operations/mediawiki-config : masterEnable Content Translation in minwiki and uzwiki
operations/puppet : productionBeta: CX: Enable en-uz and ru-uz language pairs
mediawiki/services/cxserver : masterconfig: Enable Uzbek to Russian

Event Timeline

bmansurov raised the priority of this task from to Needs Triage.
bmansurov updated the task description. (Show Details)
bmansurov added a subscriber: bmansurov.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 30 2015, 12:41 AM
bmansurov updated the task description. (Show Details)Jan 30 2015, 12:46 AM
bmansurov set Security to None.
santhosh added a subscriber: santhosh.
santhosh removed a subscriber: santhosh.
santhosh added a subscriber: santhosh.
Arrbee triaged this task as High priority.Feb 2 2015, 6:58 AM
Arrbee moved this task from Needs Triage to Long term on the ContentTranslation board.
Arrbee raised the priority of this task from High to Needs Triage.Feb 2 2015, 9:36 AM
Arrbee added a subscriber: Arrbee.
Amire80 triaged this task as Normal priority.Feb 4 2015, 1:43 AM
gerritbot added a subscriber: gerritbot.

Change 189747 had a related patch set uploaded (by KartikMistry):
config: Enable Unbek-Russian language pair

https://gerrit.wikimedia.org/r/189747

Patch-For-Review

Change 189747 merged by jenkins-bot:
config: Enable Uzbek to Russian

https://gerrit.wikimedia.org/r/189747

Uzbek to Russian is added to default configuration in https://gerrit.wikimedia.org/r/189747

Now we need to enable this in beta-labs configuration and then in production configuration.

Change 191542 had a related patch set uploaded (by KartikMistry):
Beta: CX: Enable en-uz language pair

https://gerrit.wikimedia.org/r/191542

Patch-For-Review

Change 191542 merged by Alexandros Kosiaris:
Beta: CX: Enable en-uz and ru-uz language pairs

https://gerrit.wikimedia.org/r/191542

Now available on the beta server for testing. Please also see the announcement made on the Uzbek Wikipedia village pump. Thanks.

Yay! Thanks a lot to all who worked on this.

Arrbee edited projects, added LE-Sprint-83; removed LE-Sprint-82.Feb 24 2015, 7:34 AM
Arrbee moved this task from Backlog to In Progress on the LE-Sprint-83 board.Feb 24 2015, 7:36 AM

Change 192764 had a related patch set uploaded (by KartikMistry):
Enable Content Translation in minwiki and uzwiki

https://gerrit.wikimedia.org/r/192764

Arrbee edited a custom field.Feb 25 2015, 5:46 AM

Change 192769 had a related patch set uploaded (by KartikMistry):
CX: Enable ru in source, min and uz in target wikis

https://gerrit.wikimedia.org/r/192769

Change 192769 merged by Alexandros Kosiaris:
CX: Enable ru in source, min and uz in target wikis

https://gerrit.wikimedia.org/r/192769

Change 192764 merged by jenkins-bot:
Enable Content Translation in minwiki and uzwiki

https://gerrit.wikimedia.org/r/192764

Krenair closed this task as Resolved.Feb 26 2015, 4:41 PM
Krenair added a subscriber: Krenair.

Done.

KartikMistry moved this task from In Review to Done on the LE-Sprint-83 board.Mar 1 2015, 6:33 AM